%define	name	bibletime
%define	ver	1.2.2
%define	rel	1mdk

# We might have a prerelease:
%define have_pre %(echo %ver|awk '{p=0} /[a-z,A-Z][a-z,A-Z]/ {p=1} {print p}')
%if %have_pre
%define version %(perl -e '$name="%ver"; print ($name =~ /(.*?)[a-z]/);')
%define release 0.%(echo %ver|sed -e 's/%version//g').%rel
%else
%define version %ver
%define release %rel
%endif

# This should not be changed but set this to static or dynamic.
# Sword should always be set to static for these builds.
%define		swordlibs 	dynamic

# This should be set to your os.
# Possible values are  Mandrake, Red Hat, Turbolinux, Caldera, SuSE, 
# Debian, etc.
%define		ostype 		Mandrake

# This should be set to the version of your OS (7.0, 7.1, 7.2, 8.0, etc.)
%define		osversion 	9.1

# This the RPM group on your system that this will installed into.
# Graphical desktop/KDE, X11/apps, etc.
%define		rpmgroup 	Text tools

# this is were the sword modules will be installed on your system.
# /usr/local/sword, /usr/share/sword, /opt/local/sword, etc.
# default is /usr/share/sword
%define     SwordPath 	/usr/share/sword
%define	    ModsPath 	%{SwordPath}/mods.d

# This for Mandrake menus if you have another system do not edit this line. it is for
# compatability with those systems.
%define		build_menus	1
# Nothing else should need to be changed.
# Please do not edit below this line unless you know what you are doing.

Summary:	BibleTime %{version} is an easy to use Bible study tool for KDE.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.bibletime.info
Group:		%{rpmgroup}
Source0:	%{name}-%{ver}.tar.bz2
Requires:	sword
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
#Prefix: 	/opt/kde3

%description
BibleTime %{version}-%{release} is a free and easy to use bible study
tool for UNIX systems.

BibleTime provides easy handling of digitized texts (Bibles, commentaries 
and lexicons) and powerful features to work with these texts (search in 
texts, write own notes, save, print etc.). Bibletime is a frontend for 
the  SWORD Bible Framework.

%prep
%setup -q -n %{name}-%{ver}
#tar jxvf %{SOURCE2}
if [ %{ostype} = "Mandrake" ] ; then
 export KDEDIR=/usr QTDIR=/usr/lib/qt3
elif [ %{ostype} = "SuSE" ] ; then
 export KDEDIR=/opt/kde3 QTDIR=/usr/lib/qt3
else
	echo "Using $KDEDIR as KDE directory";
	echo "Using $QTDIR as QT directory";
	echo "If the directories are not correct please set them using \"export KDEDIR=<KDE directory> QTDIR=<QT directory>\""
	sleep 5
fi

#make -f Makefile.cvs

if [ %{swordlibs} = "static" ] ; then
        ./configure --enable-static-sword \
			--prefix=%{_prefix} \
			--libdir=%{_libdir} \
			--disable-rpath
else
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-rpath
fi

%make

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install
# For use with mandrake menu system
mkdir -p $RPM_BUILD_ROOT%{_menudir}
mkdir -p $RPM_BUILD_ROOT/usr/share/config

# generate directories for sword if building static
if [ %{swordlibs} = "static" ] ; then
 mkdir -p $RPM_BUILD_ROOT%{SwordPath}
 mkdir -p $RPM_BUILD_ROOT%{ModsPath}
fi

# For use with mandrake menu system
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(bibletime):command="/usr/bin/%{name}" \
icon="%{name}.png" \
needs="X11" \
section="Applications/Text tools" \
title="Bibletime" \
longtitle="An easy to use Bible study tool."
EOF

# For use with mandrake menu system
# icons: this is for the mandrake menu system
%if %build_menus
  mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
  mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
  mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
  cd $RPM_BUILD_DIR/%{name}-%{version}
  install -m 644 bibletime/pics/48x48/hi48-app-bibletime.png %{buildroot}/%{_liconsdir}/%{name}.png
  install -m 644 bibletime/pics/32x32/hi32-app-bibletime.png %{buildroot}/%{_iconsdir}/%{name}.png
  install -m 644 bibletime/pics/16x16/hi16-app-bibletime.png %{buildroot}/%{_miconsdir}/%{name}.png
%endif

%post

# For use with mandrake menu system
if [ %{ostype} = "Mandrake" ] ; then
 %{update_menus}
fi

%postun

# For use with mandrake menu system
if [ %{ostype} = "Mandrake" ] ; then
 %{clean_menus}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# global BibleTime config files
%{_prefix}/share/config/bt-printing
%{_prefix}/bin/bibletime
%{_prefix}/share/applnk/Applications/*
%{_prefix}/share/apps/bibletime/*
%{_prefix}/share/icons/*/*/*/*.png
# For use with mandrake menu system
%if %build_menus
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%endif
%doc ChangeLog COPYING INSTALL NEWS README TODO

%changelog
* Thu Mar 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- Cleanups

* Fri Feb 14 2003 Joachim Ansorg <joachim@ansorgs.de>
- Removed locales.d source and management of Sword files because we i
  require a Sword RPM now.

* Mon Apr 8 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.1
- Added to the spec to better handle mandrake menus during compile. Now 
  should be compatable with all os's.
- added locals.d source to build. This removes dependecy on sword being 
  installed. Will make seperate package for this later.
  
* Fri Mar 31 2002 Joachim Ansorg <jansorg@gmx.de>
- Made including the book translations working finally.
- Fixed SPEC files to work with SuSE

* Thu Feb 7 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.0.2
- changed compile time options to mach bibletime spec included with 
  source files
- compiled on mandrake 8.2

* Fri Sep 7 2001 Joachim Ansorg <jansorg@gmx.de>
- Added the bookname files in the file list

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.4mdk
- Recompile because of dependecy problems.  

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.1mdk
- bug fix release bibletime-1.0.1
- adda extra compile options to spec file.
- Merged in suse changes for compileing on SuSE

* Sun May 27 2001 Brook Humphrey <bah@webmedic.net>
- Trying different variations of static compiles again.
- Still using cvs sources while waiting for 1.0 release.

* Thu May 24 2001 Brook Humphrey <bah@webmedic.net>
- Trying for x static and whatever else we can get into it.
- No X for today Got libz to compile in but it causes segfault.

* Wed May 23 2001 Brook Humphrey <bah@webmedic.net>
- Yet another try at static qt.
- Qt static works now.

* Mon May 21 2001 Brook Humphrey <bah@webmedic.net>
- Static is working for kde and a few other libs but not qt yet.
- Testing another patch today to try to get qt compiled static.

* Sun May 20 2001 Brook Humphrey <bah@webmedic.net>
- Cleaned up spec some more(stupid spelling error's)
- static compile not working today so added option to compile kde and 
  sword as static seperately

* Sat May 19 2001 Brook Humphrey <bah@webmedic.net>
- Cleaned up spec some more and added a few more comments
- Changed spec to automaticly do parts concerning static and Mandrake menus
- All info can be set in defines at top of spec file no other changes should 
  need to be made
- Fixed patch to compile static should now compile static with kde libs 
- Test to compile with qt as static also

* Sun May 13 2001 Brook Humphrey <bah@webmedic.net>
- cleaned up spec file and added more comments for easier reading.
- changed sword.conf instelation to check for previous versions of sword.conf
- If found a new sword.conf is not created
- Made a patch to hopefully compile kde and other libs as atatic
- static compile didn't work for today.

* Tue May 8 2001 Brook Humphrey <bah@webmedic.net>
- Updated package to be relocatable
- added sword directories and sword.conf to install

* Mon Apr 30 2001 Brook Humphrey <bah@webmedic.net>
- Changed to build staticly
- added more mandrake macros to spec file

* Mon Apr 23 2001 Brook Humphrey <bah@webmedic.net>
- made changes to enable compile of cvs tree

* Wed Mar 14 2001 Brook Humphrey <bah@webmedic.net>
- updated to use mandrake menu sysem

